Subject: Offline Message from Jodie: This is my 10th email. It had been 3 months and I
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 15 Jun 2020 10:58:43 -0000

From: Jodie <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/trackhistory/track/shipmenttrack/id/dVN3NVo3dmV5ZlZIaEoxa3lBZHpEZz09/key/2/
Department: 

This is my 10th email. It had been 3 months and I have still not received my order. I have tried to contact the delivery company with no response. I have tried to contact Mumzworld and get no response. Waiting 3 months for an order is ridiculous. If it’s not here in the next week I will take legal action.

Order number 100127918

----
Zopim
https://www.zopim.com